# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
{
"assistant_name": "<string>",
"instructions": "<string>",
"metadata": {}
}Assistants
Update an assistant
Update an existing assistant. You can modify the assistant’s instructions.
For guidance and examples, see Manage assistants.
PATCH
/
assistants
/
{assistant_name}
# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
{
"assistant_name": "<string>",
"instructions": "<string>",
"metadata": {}
}# To use the Python SDK, install the plugin:
# pip install --upgrade pinecone pinecone-plugin-assistant
from pinecone import Pinecone
pc = Pinecone(api_key=YOUR_API_KEY)
assistant = pc.assistant.update_assistant(
assistant_name="test",
instructions="Use American English for spelling and grammar.",
region="us" # Region to deploy assistant. Options: "us" (default) or "eu".
)
Authorizations
Pinecone API Key
Path Parameters
The name of the assistant to update.
Body
application/json
The desired configuration updates for the assistant.
Was this page helpful?
⌘I